Subject: ioctl() function
From: [email-masked] (Colman Curtin)

13 Oct 1998 04:01:52 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
To: [email-masked]

Hi 
I was trying to port some unix code and it uses ioctl() for serial comms.
sys/ioctl.h was either missing or blank - I can't remember.
I added some #defs from linux.
and now the code appears to read and write to/from the port.
The code I have checks if DCD is active to see if a call is being made to a
modem.
But this is where things don't work. 

ioctl(portfd, TIOCMGET, &stat) returns -1
so it never detects carrier. where can I get correct values for ioctl.h or
should I be using a different call under NT??
(NT4, sp3, 64MB)
TIA

Colman Curtin	Software Team Leader
*Trintech - The Secure Way to Pay*
Trintech Technologies Ltd,
South County Business Park,
Leopardstown, Dublin 18, Ireland.
Tel: +353-1-207-4000
Fax: +353-1-207-4015
mailto:[email-masked]
http://www.trintech.com/

Scotty:	Captain, we din' can reference it!
Kirk:	Analysis, Mr. Spock?
Spock:	Captain, it doesn't appear in the symbol table.
Kirk:	Then it's of external origin?
Spock:	Affirmative.
Kirk:	Mr. Sulu, go to pass two.
Sulu:	Aye aye, sir, going to pass two.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".